Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.util
Class Proxies

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.util.Proxies

public class Proxies
extends java.lang.Object

Utility methods for managing proxies.

Constructor Summary
`Proxies()`

Method Summary
`static void` | `checkValue(java.lang.Object value, java.lang.Class allowed)` Used by proxy types to check that an attempt to add a new value is legal.
`static boolean` | `isOwner(com.solarmetric.rd.kodo.util.Proxy proxy, java.lang.Object pc, java.lang.String fieldName)` Used by proxy types to check if the given owners and field names are equivalent.
`static void` | `makeDirty(java.lang.Object pc, java.lang.String fieldName)` Used by proxy types to dirty their owner.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Proxies

    public Proxies()

Method Detail

### isOwner

    public static boolean isOwner(com.solarmetric.rd.kodo.util.Proxy proxy,
                                  java.lang.Object pc,
                                  java.lang.String fieldName)

  Used by proxy types to check if the given owners and field names are equivalent.

### checkValue

    public static void checkValue(java.lang.Object value,
                                  java.lang.Class allowed)

  Used by proxy types to check that an attempt to add a new value is legal.

### makeDirty

    public static void makeDirty(java.lang.Object pc,
                                 java.lang.String fieldName)

  Used by proxy types to dirty their owner.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.